Rivet::Vector3 Class Reference

Three-dimensional specialisation of Vector. More...

`#include <Vector3.hh>`

Inheritance diagram for Rivet::Vector3:

## Public Member Functions

template<typename V3 >
| Vector3 (const V3 &other)
| Vector3 (const Vector< 3 > &other)
| Vector3 (double x, double y, double z)
double | x () const
double | y () const
double | z () const
Vector3 & | setX (double x)
Vector3 & | setY (double y)
Vector3 & | setZ (double z)
double | dot (const Vector3 &v) const
Vector3 | cross (const Vector3 &v) const
double | angle (const Vector3 &v) const
Vector3 | unit () const
double | polarRadius2 () const
double | perp2 () const
| Synonym for polarRadius2.
double | rho2 () const
| Synonym for polarRadius2.
double | polarRadius () const
double | perp () const
| Synonym for polarRadius.
double | rho () const
| Synonym for polarRadius.
double | azimuthalAngle (const PhiMapping mapping=ZERO_2PI) const
| Angle subtended by the vector's projection in x-y and the x-axis.
double | phi (const PhiMapping mapping=ZERO_2PI) const
| Synonym for azimuthalAngle.
double | polarAngle () const
| Angle subtended by the vector and the z-axis.
double | theta () const
| Synonym for polarAngle.
double | pseudorapidity () const
double | eta () const
| Synonym for pseudorapidity.
Vector3 & | operator*= (const double a)
Vector3 & | operator/= (const double a)
Vector3 & | operator+= (const Vector3 &v)
Vector3 & | operator-= (const Vector3 &v)
Vector3 | operator- () const
Public Member Functions inherited from Rivet::Vector< 3 >
| Vector (const Vector< N > &other)
const double & | get (const size_t index) const
const double & | operator[] (const size_t index) const
| Direct access to vector elements by index.
double & | operator[] (const size_t index)
| Direct access to vector elements by index.
Vector< N > & | set (const size_t index, const double value)
| Set indexed value.
size_t | size () const
| Vector dimensionality.
bool | isZero (double tolerance=1E-5) const
| Check for nullness, allowing for numerical precision.
double | mod2 () const
| Calculate the modulus-squared of a vector. .
double | mod () const
| Calculate the modulus of a vector. .
Vector< N > | operator- () const
| Invert the vector.
bool | operator== (const Vector< N > &a) const
bool | operator!= (const Vector< N > &a) const
bool | operator< (const Vector< N > &a) const
bool | operator<= (const Vector< N > &a) const
bool | operator> (const Vector< N > &a) const
bool | operator>= (const Vector< N > &a) const

## Static Public Member Functions

static Vector3 | mkX ()
static Vector3 | mkY ()
static Vector3 | mkZ ()

## Friends

class | Matrix3
Vector3 | multiply (const double, const Vector3 &)
Vector3 | multiply (const Vector3 &, const double)
Vector3 | add (const Vector3 &, const Vector3 &)
Vector3 | subtract (const Vector3 &, const Vector3 &)

## Additional Inherited Members

Protected Member Functions inherited from Rivet::Vector< 3 >
double & | get (const size_t index)

## Detailed Description

Three-dimensional specialisation of Vector.

## Member Function Documentation

## pseudorapidity()

double Rivet::Vector3::pseudorapidity | ( |  | ) | const

inline

Purely geometric approximation to rapidity; exact for massless particles and in the central region.

References polarAngle().

Referenced by Rivet::deltaEta(), Rivet::deltaR(), eta(), Rivet::FourVector::pseudorapidity(), and Rivet::pseudorapidity().

## unit()

Vector3 Rivet::Vector3::unit | ( |  | ) | const

inline

Todo:
  What to do in this situation?

References Rivet::Vector< 3 >::isZero(), and Rivet::Vector< 3 >::mod().

Referenced by Rivet::Spherocity::calc(), Rivet::Thrust::calc(), and Rivet::MissingMomentum::project().

The documentation for this class was generated from the following file:

- include/Rivet/Math/Vector3.hh